package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 打卡图片对象 app_check_image
 * 
 * @author ruoyi
 * @date 2025-03-08
 */
public class AppCheckImage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 打卡图片编号 */
    private Long checkImageId;

    /** 打卡编号 */
    @Excel(name = "打卡编号")
    private Long checkId;

    /** 打卡图片名称 */
    @Excel(name = "打卡图片名称")
    private String checkImageName;

    /** 打卡图片类型编号 */
    @Excel(name = "打卡图片类型编号")
    private Long checkImageTypeId;

    public void setCheckImageId(Long checkImageId) 
    {
        this.checkImageId = checkImageId;
    }

    public Long getCheckImageId() 
    {
        return checkImageId;
    }
    public void setCheckId(Long checkId) 
    {
        this.checkId = checkId;
    }

    public Long getCheckId() 
    {
        return checkId;
    }
    public void setCheckImageName(String checkImageName) 
    {
        this.checkImageName = checkImageName;
    }

    public String getCheckImageName() 
    {
        return checkImageName;
    }
    public void setCheckImageTypeId(Long checkImageTypeId) 
    {
        this.checkImageTypeId = checkImageTypeId;
    }

    public Long getCheckImageTypeId() 
    {
        return checkImageTypeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkImageId", getCheckImageId())
            .append("checkId", getCheckId())
            .append("checkImageName", getCheckImageName())
            .append("checkImageTypeId", getCheckImageTypeId())
            .toString();
    }
}
